<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.fgw.FgwShyjMapper">
    
    <resultMap type="FgwShyj" id="FgwShyjResult">
        <result property="id"    column="id"    />
        <result property="xmId"    column="xm_id"    />
        <result property="xmbh"    column="xmbh"    />
        <result property="xmmc"    column="xmmc"    />
        <result property="deptId"    column="dept_id"    />
        <result property="shrxm"    column="shrxm"    />
        <result property="wtlx"    column="wtlx"    />
        <result property="shjg"    column="shjg"    />
        <result property="shyj"    column="shyj"    />
        <result property="shsj"    column="shsj"    />
        <result property="wjlx"    column="wjlx"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectFgwShyjVo">
        select id, xm_id, xmbh, xmmc, dept_id,wjlx, shrxm, wtlx, shjg, shyj, shsj, create_by, create_time, update_by, update_time, remark from fgw_shyj
    </sql>

    <select id="selectFgwShyjList" parameterType="FgwShyj" resultMap="FgwShyjResult">
        <include refid="selectFgwShyjVo"/>
        <where>  
            <if test="xmId != null "> and xm_id = #{xmId}</if>
            <if test="xmbh != null  and xmbh != ''"> and xmbh = #{xmbh}</if>
            <if test="xmmc != null  and xmmc != ''"> and xmmc = #{xmmc}</if>
            <if test="deptId != null "> and dept_id = #{deptId}</if>
            <if test="shrxm != null  and shrxm != ''"> and shrxm = #{shrxm}</if>
            <if test="wtlx != null  and wtlx != ''"> and wtlx = #{wtlx}</if>
            <if test="shjg != null  and shjg != ''"> and shjg = #{shjg}</if>
            <if test="shyj != null  and shyj != ''"> and shyj = #{shyj}</if>
            <if test="wjlx != null  and wjlx != ''"> and wjlx = #{wjlx}</if>
            <if test="shsj != null "> and shsj = #{shsj}</if>
        </where>
    </select>
    
    <select id="selectFgwShyjById" parameterType="Long" resultMap="FgwShyjResult">
        <include refid="selectFgwShyjVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertFgwShyj" parameterType="FgwShyj" useGeneratedKeys="true" keyProperty="id">
        insert into fgw_shyj
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="xmId != null">xm_id,</if>
            <if test="xmbh != null">xmbh,</if>
            <if test="xmmc != null">xmmc,</if>
            <if test="deptId != null">dept_id,</if>
            <if test="shrxm != null and shrxm != ''">shrxm,</if>
            <if test="wtlx != null and wtlx != ''">wtlx,</if>
            <if test="shjg != null and shjg != ''">shjg,</if>
            <if test="wjlx != null and wjlx != ''">wjlx,</if>
            <if test="shyj != null">shyj,</if>
            <if test="shsj != null">shsj,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="xmId != null">#{xmId},</if>
            <if test="xmbh != null">#{xmbh},</if>
            <if test="xmmc != null">#{xmmc},</if>
            <if test="deptId != null">#{deptId},</if>
            <if test="shrxm != null and shrxm != ''">#{shrxm},</if>
            <if test="wtlx != null and wtlx != ''">#{wtlx},</if>
            <if test="shjg != null and shjg != ''">#{shjg},</if>
            <if test="wjlx != null and wjlx != ''">#{wjlx},</if>
            <if test="shyj != null">#{shyj},</if>
            <if test="shsj != null">#{shsj},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateFgwShyj" parameterType="FgwShyj">
        update fgw_shyj
        <trim prefix="SET" suffixOverrides=",">
            <if test="xmId != null">xm_id = #{xmId},</if>
            <if test="xmbh != null">xmbh = #{xmbh},</if>
            <if test="xmmc != null">xmmc = #{xmmc},</if>
            <if test="deptId != null">dept_id = #{deptId},</if>
            <if test="shrxm != null and shrxm != ''">shrxm = #{shrxm},</if>
            <if test="wtlx != null and wtlx != ''">wtlx = #{wtlx},</if>
            <if test="shjg != null and shjg != ''">shjg = #{shjg},</if>
            <if test="wjlx != null and wjlx != ''">wjlx = #{wjlx},</if>
            <if test="shyj != null">shyj = #{shyj},</if>
            <if test="shsj != null">shsj = #{shsj},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteFgwShyjById" parameterType="Long">
        delete from fgw_shyj where id = #{id}
    </delete>

    <delete id="deleteFgwShyjByIds" parameterType="String">
        delete from fgw_shyj where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>